Name:          libradiusclient-ng
Version:       0.5.6
Release:       1mamba
Summary:       Radiusclient is a framework and library for writing RADIUS clients
Group:         System/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Davide Madrisan <davide.madrisan@gmail.com>
URL:           http://developer.berlios.de/projects/radiusclient-ng
Source0:       http://download.berlios.de/radiusclient-ng/radiusclient-ng-%{version}.tar.gz
License:       LGPL
Provides:      libradiusclient = %{?epoch:%epoch:}%{version}-%{release}
Obsoletes:     libradiusclient
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

# note: the divx4linux backend is not compiled because Divx4Linux is covered
# by a NON-FREE license

%description
Radiusclient is a framework and library for writing RADIUS clients.
The distribution contains a flexible RADIUS aware login replacement, a command line program to send RADIUS accounting records and a utility to query the status of a (Merit) RADIUS server.
All these programs are based on a library which lets you develop your own RADIUS aware application in less than 50 lines of C code. 
It is highly portable and runs at least under Linux, a lot of BSD variants and Solaris.

%package devel
Summary:       Static libraries and header for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Provides:      libradiusclient-devel = %{?epoch:%epoch:}%{version}-%{release}
Obsoletes:     libradiusclient-devel

%description devel
Radiusclient is a framework and library for writing RADIUS clients.
The distribution contains a flexible RADIUS aware login replacement, a command line program to send RADIUS accounting records and a utility to query the status of a (Merit) RADIUS server. All these programs are based on a library which lets you develop your own RADIUS aware application in less than 50 lines of C code.
It is highly portable and runs at least under Linux, a lot of BSD variants and Solaris.

This package contains static libraries and header files need for development.

%prep
%setup -q -n radiusclient-ng-%{version}

%build
%configure --enable-radius-116
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

rm -f %{buildroot}%{_libdir}/libradiusclient-ng.a

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_sbindir}/login.radius
%{_sbindir}/radacct
%{_sbindir}/radexample
%{_sbindir}/radiusclient
%{_sbindir}/radlogin
%{_sbindir}/radstatus
%{_libdir}/libradiusclient-ng.so.*
%dir %{_sysconfdir}/radiusclient-ng/
%{_sysconfdir}/radiusclient-ng/*
%doc COPYRIGHT

%files devel
%defattr(-,root,root)
%{_includedir}/radiusclient-ng.h
%{_libdir}/libradiusclient-ng.la
%{_libdir}/libradiusclient-ng.so
%doc BUGS CHANGES README* doc/instop.html

%changelog
* Sun Oct 17 2010 Davide Madrisan <davide.madrisan@gmail.com> 0.5.6-1mamba
- update to 0.5.6
- remove compatibility package libradiusclient0

* Mon Oct 22 2007 Aleph0 <aleph0@openmamba.org> 0.5.5-2mamba
- add compatibility package libradiusclient0

* Fri Sep 28 2007 Aleph0 <aleph0@openmamba.org> 0.5.5-1mamba
- update to 0.5.5

* Wed Jun 30 2004 Davide Madrisan <davide.madrisan@qilinux.it> 0.3.3-1qilnx
- first build
